Page MenuHomePhabricator

Provide a more specific warning when RC page (and Watchlist?) fails to load
Closed, ResolvedPublic

Description

When the page fails to load, as when the connection drops but for any reason, the current message displayed says misleadingly that no results could be found. A more specific message will be helpful to users.

The new message should read:

Due to a technical error, no results could be loaded. Please try refreshing the page.

Event Timeline

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptOct 4 2017, 3:59 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Reedy renamed this task from Add a warning when connexion drops while the filters are loading to Add a warning when connection drops while the filters are loading.Oct 4 2017, 5:21 PM
Reedy updated the task description. (Show Details)Oct 4 2017, 5:28 PM
jmatazzoni renamed this task from Add a warning when connection drops while the filters are loading to Provide a more specific warning when connection drops when page fails to load, as when the connection drops.Oct 25 2017, 6:02 AM
jmatazzoni updated the task description. (Show Details)
jmatazzoni renamed this task from Provide a more specific warning when connection drops when page fails to load, as when the connection drops to Provide a more specific warning when RC page fails to load, as when the connection drops.

@Mattflaschen-WMF, should this be for Watchlist and RC page, or just RC page?

jmatazzoni renamed this task from Provide a more specific warning when RC page fails to load, as when the connection drops to Provide a more specific warning when RC page (and Watchlist?) fails to load.Oct 25 2017, 6:04 AM

Change 387594 had a related patch set uploaded (by Petar.petkovic; owner: Petar.petkovic):
[mediawiki/core@master] More specific warning when RC page fails to load

https://gerrit.wikimedia.org/r/387594

Change 387594 merged by jenkins-bot:
[mediawiki/core@master] More specific warning when RC page fails to load

https://gerrit.wikimedia.org/r/387594

Checked in testwiki (wmf.7)

QA Recommendation: Resolve

jmatazzoni closed this task as Resolved.Nov 8 2017, 4:49 PM